# For the record. Upstream said that this software was written before Network
# UPS tools and they started writing it without checking if a software with the
# name "nut" already existed. Network UPS tools should ideally be renamed, as a
# result. However, since when it comes to Fedora, the UPS tools got here first,
# I'm modifying nut to nut-nutrition instead to save everyone the trouble.
# Upstream has quite correctly said that he isn't going to change the name
# globally.

%global binaryname      nut
Name:           nut-nutrition
Version:        19.2
Release:        13%{?dist}
Summary:        A nutritional Software

## couldn't find a group!!?!
Group:          Applications/Text
License:        GPLv2+
URL:            http://nut.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{binaryname}/%{binaryname}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.appdata.xml

# Fixes to make file and readme
Patch0:         nut-19.2-Makefile.patch

BuildRequires:  fltk-devel desktop-file-utils gcc
BuildRequires:  libappstream-glib

%description
NUT allows you to record what you eat and analyze your meals for
nutrient composition. The database included is the USDA Nutrient
Database for Standard Reference, Release 22.


%prep
%setup -q -n %{binaryname}-%{version}
%patch0
mv nut.1 nut-nutrition.1 -v

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/metainfo/
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m 644 nuticon.xpm %{buildroot}%{_datadir}/pixmaps/nuticon.xpm

mkdir -p %{buildroot}/%{_datadir}/icons/
install -p -m 644  nuticon.png %{buildroot}%{_datadir}/icons/

%post
/bin/touch --no-create %{_datadir}/icons/ &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/ &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/ &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/ &>/dev/null || :


%files
%doc README CREDITS
%license LICENSE
%{_bindir}/%{binaryname}*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/nuticon.xpm
%{_datadir}/icons/nuticon.png

%changelog
* Sat Mar 10 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 19.2-13
- Add gcc to BR
- Use license macro
- Use buildroot instead of RPM_BUILD_ROOT
- Use metainfo dir
- Use appstream-util to validate the appdata file

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 19.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 19.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 19.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 19.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 19.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 19.2-6
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 19 2015 Rex Dieter <rdieter@fedoraproject.org> 19.2-5
- rebuild (fltk)

* Mon Aug 18 2014 Richard Hughes <richard@hughsie.com> - 19.2-4
- Add a one line summary to the desktop file so that the application appears
  in GNOME Software and Apper.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 19.2-2
- Update patch

* Mon Jul 21 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 19.2-1
- Add icons
- rhbz #615508

* Sun Jul 20 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 19.2-1
- Updated to latest upstream version

* Fri Feb 25 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 15.7-3
- Changed spec name

* Sat Jul 17 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 15.7-2
- corrected spec to include Food Data files

* Sat Jul 17 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 15.7-1
- initial package build
